#include "bat.hh"
#include "global.hh"

Bat :: Bat()
{
  oldw = w = BAT_WIDTH;
  oldh = h = BAT_HEIGHT;
  oldx = x = GAME_WIDTH * BRICK_WIDTH / 2 - w;
  oldy = y = GAME_HEIGHT * BRICK_HEIGHT - h - 80;
  stat = 0;
}



Bat :: Bat(int width, int height)
{
  w = width;
  h = height;
  x = GAME_WIDTH * BRICK_WIDTH / 2 - w;
  y = GAME_HEIGHT * BRICK_HEIGHT - h - 30;
}



Bat :: ~Bat()
{

}




void Bat :: Draw()
{
  if (oldx!=x || oldy!=y || oldw!=w || oldh!=h)
    {
      pw_rop((Xv_opaque)pw, oldx, oldy, oldw, oldh, PIX_SRC, poBack.pr, oldx, oldy);
      
      oldx = (int)x;
      oldy = (int)y;
      oldw = w;
      oldh = h;
    }
  pw_rop((Xv_opaque)pw, oldx, oldy, oldw, oldh, PIX_SRC, poBat.pr, 
	 stat * oldw, size*BAT_HEIGHT);
}




void Bat :: Update()
{
/*  
  if (keydir != 0)
    {
      mouseX = x = Limit(x + int(keydir*speed) , BRICK_WIDTH + speed ,
			 GAME_WIDTH*BRICK_WIDTH-BAT_WIDTH-BRICK_WIDTH-speed);
    }
  else
*/
  
  if (mirror == 0)
    {
      x = Limit((mouseX-(GAME_WIDTH*BRICK_WIDTH/4))*2,BRICK_WIDTH,
		(GAME_WIDTH-1)*BRICK_WIDTH-w);
      
    }
  else
    {
      x = Limit((-mouseX+(GAME_WIDTH*BRICK_WIDTH)-(GAME_WIDTH*BRICK_WIDTH/4))*2,
		BRICK_WIDTH,(GAME_WIDTH-1)*BRICK_WIDTH-w);
    }
  Draw();
}
